Changeset 6688 for branches/1.7/cf


Ignore:
Timestamp:
Jan 30, 2018 10:29:24 AM (5 years ago)
Author:
clarksm
Message:

Add support for octave series 4

File:
1 edited

Legend:

Unmodified
Added
Removed
  • branches/1.7/cf/rpLangOctave.m4

    r2298 r6688  
    3434MKOCTFILE2=
    3535MKOCTFILE3=
     36MKOCTFILE4=
    3637
    3738if test "$with_octave" != "no" ; then
     
    4849  OCTAVE_VERSION=`${OCTAVE} -v | grep version | cut -d' ' -f4`
    4950  OCTAVE_VERSION_MAJOR=`echo ${OCTAVE_VERSION} | cut -d'.' -f1`
     51  if test "${OCTAVE_VERSION_MAJOR}" == "4" ; then
     52    OCTAVE4=$OCTAVE
     53    MKOCTFILE4=$MKOCTFILE
     54  fi
    5055  if test "${OCTAVE_VERSION_MAJOR}" == "3" ; then
    5156    OCTAVE3=$OCTAVE
     
    7176# not both. 
    7277#
     78
     79# Check if octave4 was designated *in addition* to the installed version.
     80# This can override the default version if they are the same versions.
     81
     82AC_ARG_WITH(
     83    [mkoctfile4],
     84    [AS_HELP_STRING([--with-mkoctfile4[=DIR]],
     85        [path of octave compiler `mkoctfile' @<:@default=no@:>@])],
     86    [],
     87    [with_mkoctfile4=no])
     88
     89if test "$with_mkoctfile4" != "no" ; then
     90  if test "$with_mkoctfile4" = "yes" ; then
     91    AC_PATH_PROG(mkoctfile4, mkoctfile)
     92  else
     93    MKOCTFILE4=$with_mkoctfile4
     94  fi
     95  OCTAVE_VERSION=`${MKOCTFILE4} --version 2>&1 | cut -d' ' -f3`
     96  OCTAVE_VERSION_MAJOR=`echo ${OCTAVE_VERSION} | cut -d'.' -f1`
     97fi
    7398
    7499# Check if octave3 was designated *in addition* to the installed version.
Note: See TracChangeset for help on using the changeset viewer.